Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.thalia.bio.util
Class ResourceBioEntityQuery

    java.lang.Object
      ResourceQuery
          org.thalia.bio.util.ResourceBioEntityQuery

    public class ResourceBioEntityQuery

extends ResourceQuery

This class makes it possible to make request on resource content using an array of requested entities.

Author:
  Jean-Baptiste Veyrieras

Constructor Summary
`ResourceBioEntityQuery()`

Method Summary
`static IResource[]` | `getResources(IResource resource, IBioEntity[] entities)`
`static boolean` | `isAssignableEntities(IResource resource, IBioEntity[] entities)` Returns true if all elements of entities are included in the resource.
`static boolean` | `isAssignableEntity(IResource resource, IBioEntity entity)` Returns true if the resource contains the given entity.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceBioEntityQuery

    public ResourceBioEntityQuery()

Method Detail

### getResources

    public static IResource[] getResources(IResource resource,
                                           IBioEntity[] entities)

### isAssignableEntities

    public static boolean isAssignableEntities(IResource resource,
                                               IBioEntity[] entities)

  Returns true if all elements of entities are included in the resource.

  Parameters:
    `resource` -
    `entities` -
  Returns:
  See Also:
    `isAssignableEntity()`

### isAssignableEntity

    public static boolean isAssignableEntity(IResource resource,
                                             IBioEntity entity)

  Returns true if the resource contains the given entity.

  Parameters:
    `resource` -
    `entity` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD